<?php
$SELECTED = "4";
include "header.php";
?>
<div class="container">
<h2>Overview</h2>
<p>
This page will describe more in detail the way layers are organized, what textures are available and which layers to show or hide depending on what model options we choose.
Following table will represent variables on order form or configurator. Names are for presentational purposes only and are present only to ease the demonstration of interdependencies between model choices and layers.
</p>
<div class="col-lg-6">
<h3>Model options</h3>
<ul>
<li>Sleeve:
<ul>
<li>ventilation (on/off)</li>
<li>thumbs (on/off)</li>
</ul>
</li>
<li>Chest:
<ul>
<li>pocket (on/off)</li>
</ul>
</li>
<li>Top:
<ul>
<li>hud / collar</li>
</ul>
</li>
</ul>
</div>

<div class="col-lg-6">
<h3>Presented as variables</h3>
<table class="table">
<thead>
<th>name</th><th>values</th>
</thead>
<tbody>
<tr><td>chestpocket</td><td>on / off</td></tr>
<tr><td>sleeveventilation</td><td>on / off</td></tr>
<tr><td>sleevethumbs</td><td>on / off</td></tr>
<tr><td>top</td><td>hood / collar</td></tr>
</tbody>
</table>
</div>
<h3>Layer to variable relations</h3>
<table class="table">
<thead>
<tr><th rowspan="2">Layer</th><th colspan="2">chestpocket</th><th colspan="4">sleeveventilation / sleevethumbs</th><th colspan="2">top</th></tr>
<tr><th>off</th><th>on</th><th class="bleft">off/off</th><th>off/on</th><th>on/off</th><th class="bright">on/on</th><th>hud</th><th>collar</th></tr>
</thead>
<tbody>
<tr><td>Back</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>BackTop</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>ChestLeft</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>ChestRight</td>
<td>show</td><td>hide</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>ChestRightPocket (male only)</td>
<td>hide</td><td>show</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>ChestRightPocketZipper (male only)</td>
<td>hide</td><td>show</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>FrontBottom</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>FrontBottomZipper</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>MainInner</td>
<td></td><td></td><td>show</td><td>hide</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>MainOuter</td>
<td></td><td></td><td>show</td><td>hide</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>MainThumbsInner</td>
<td></td><td></td><td>hide</td><td>show</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>MainThumbsOuter</td>
<td></td><td></td><td>hide</td><td>show</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>MainVentilationInner</td>
<td></td><td></td><td>hide</td><td>hide</td><td>show</td><td>hide</td><td></td><td></td></tr>
<tr><td>MainVentilationOuter</td>
<td></td><td></td><td>hide</td><td>hide</td><td>show</td><td>hide</td><td></td><td></td></tr>
<tr><td>MainVentilationZipper</td>
<td></td><td></td><td>hide</td><td>hide</td><td>show</td><td>hide</td><td></td><td></td></tr>
<tr><td>MainVentilationThumbsInner</td>
<td></td><td></td><td>hide</td><td>hide</td><td>hide</td><td>show</td><td></td><td></td></tr>
<tr><td>MainVentilationThumbsOuter</td>
<td></td><td></td><td>hide</td><td>hide</td><td>hide</td><td>show</td><td></td><td></td></tr>
<tr><td>MainVentilationThumbsZipper</td>
<td></td><td></td><td>hide</td><td>hide</td><td>hide</td><td>show</td><td></td><td></td></tr>
<tr><td>Collar</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>hide</td><td>show</td></tr>
<tr><td>CollarZipper</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>hide</td><td>show</td></tr>
<tr><td>Hood</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>show</td><td>hide</td></tr>
<tr><td>HoodCords</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>show</td><td>hide</td></tr>
<tr><td>HoodZipper</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>show</td><td>hide</td></tr>
</tbody>
</table>
<style>
td.sshow {
    font-weight: bold;
    color: green;
}
td.hhide {
    color: red;
}
th.bleft {
    border-left: 1px solid #ddd;
}
th.bright {
    border-right: 1px solid #ddd;
}
td:nth-child(4) {
    border-left: 1px solid #ddd;
}
td:nth-child(8) {
    border-left: 1px solid #ddd;
}
</style>
<br>
<br>
<br>
</div>

<script>
onload = function() {

}
</script>
<?php
include "footer.php";
?>
<script>
$('td:contains("show")').addClass("sshow");
$('td:contains("hide")').addClass("hhide");
</script>
