/* global L, R, P, O, M, U, H, W*/

K = {
    productId: "0001",
    _loadPhase: 0,
    flags: {
        hotspots: true,
    },

    controller:{},

    init: function() {

        var phase1 = function() {
            U.init();
            W.init();
            if (U.parameters.id != null)
                K.productId = U.parameters.id;
            if (U.parameters.variant != null)
                L.settings.variant = U.parameters.variant;
            M.init();
            L.init();
            L.load(K.productId);
            K.events.onAfterPhase1();
        };

        var phase2 = function() {
            I.init();
            R.init();
            R.render(function() {
                P.init();
                if (typeof O !== 'undefined')
                    O.init();
                if (L.settings.brand != null)
                    if (L.settings.brand != "") {
                        M.setBrand(L.settings.brand);
                    }
                if (L.settings.classes != null) {
                    var classes = L.settings.classes.split(",").join(" ");
                    $("body").addClass(classes);
                }
                if (typeof H !== 'undefined')
                    if (K.flags.hotspots)
                        H.init();

            });


            // LENS
            setTimeout(function() {
                if (typeof LENS != 'undefined') {
                    // console.log("lens")
                    LENS.init();

                    var _onAfterNewSelection = P.events.onAfterNewSelection;

                    P.events.onAfterNewSelection = function(oldItem, newItem) {
                        _onAfterNewSelection(oldItem, newItem);
                        // LENS.hide();
                        // LENS.setReferenceImg();
                    }

                }
                
            }, 100);
        };

        L.events.onLoad = function() {
            phase2();
            K.events.onAfterPhase2();
        };

        R.events.onAfterFade = function() {
            K.events.onAfterFade();
        }

        phase1();
    },
    fullScreen: function() {
        W.fullscreen();
    },
    selectOption: function(item) {
        L.selectOption(item);
        R.reloadImages();
        K.controller.onSelectOption(item);
    },

    refresh: function() {
        R.render(function () {
            P.select();
        });
    },

    next: function() {
        P.next();
    },

    previous: function() {
        P.previous();
    },

    toggleRotation: function() {
        P.toggleRotation();
    }

};

K.events = {
    onAfterPhase1: function() {

    },

    onAfterPhase2: function() {

    },

    onAfterFade: function() {

    }
}

K.controller = {
    onImageLoad: function(index) {
        P.loading(false);
    },

    onFullScreen: function() {
        K.fullScreen();
    },

    onHD: function(state) {
        R.reloadImages();
    },

    onMenu: function() {
        if (typeof O != 'undefined')
            O.toggle();
    },

    onProductsLoad: function() {
        K._initPhase2();
    },

    onGlobalLoad: function() {
        M.setBrand(L.global.brand);
    },

    onSelectOption: function(item) {

    }
}
