<?php
$SELECTED = "4";
include "../../../common/header.php";
?>
<div class="container">
<h2>Overview</h2>
<p>
This page will describe more in detail the way layers are organized, what textures are available and which layers to show or hide depending on what model options we choose.
Following table will represent variables on order form or configurator. Names are for presentational purposes only and are present only to ease the demonstration of interdependencies between model choices and layers.
</p>
<div class="col-lg-6">
<h3>Model options</h3>
<ul>
<li>Sleeve:
<ul>
<li>ventilation (on/off)</li>
<li>thumbs (on/off)</li>
</ul>
</li>
<li>Chest:
<ul>
<li>pocket (on/off)</li>
</ul>
</li>
<li>Top:
<ul>
<li>hud / collar</li>
</ul>
</li>
</ul>
</div>

<div class="col-lg-6">
<h3>Presented as variables</h3>
<table class="table">
<thead>
<th>name</th><th>values</th>
</thead>
<tbody>
<tr><td>chestpocket</td><td>on / off</td></tr>
<tr><td>sleeveventilation</td><td>on / off</td></tr>
<tr><td>sleevethumbs</td><td>on / off</td></tr>
<tr><td>top</td><td>hood / collar</td></tr>
</tbody>
</table>
</div>
<h3>Layer to variable relations</h3>
<table class="table">
<thead>
<tr><th rowspan="2">Layer</th><th colspan="2">chestpocket</th><th colspan="2">sleeveventilation</th><th colspan="2">sleevethumbs</th><th colspan="2">top</th></tr>
<tr><th>off</th><th>on</th><th>off</th><th>on</th><th>off</th><th>on</th><th>hud</th><th>collar</th></tr>
</thead>
<tbody>
<tr><td>JacketChestNoPocketMainMat</td>
<td>hide</td><td>show</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>JacketChestPocketBase</td>
<td>show</td><td>hide</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>JacketChestPocketMainMat</td>
<td>show</td><td>hide</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>JacketChestPocketZipper</td>
<td>show</td><td>hide</td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>JacketMainModelBackMainMat</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>JacketMainModelBackTopMainMat</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>JacketMainModelChestRightMainMat</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>JacketMainModelFrontBottomBase</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>JacketMainModelFrontBottomMainMat</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>JacketMainModelFrontBottomStitches</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>JacketMainModelFrontBottomZipper</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>JacketMainModelFrontBottomZipperPuller</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>JacketMainModelFrontBottomZipperSlider</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td></td><td></td></tr>
<tr><td>JacketMainNOVentilationNOThumbsInterlining</td>
<td></td><td></td><td>show</td><td>hide</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainNOVentilationNOThumbsSides</td>
<td></td><td></td><td>show</td><td>hide</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainNOVentilationNOThumbsSleevesInner</td>
<td></td><td></td><td>show</td><td>hide</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainNOVentilationNOThumbsSleevesOuter</td>
<td></td><td></td><td>show</td><td>hide</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainNOVentilationNOThumbsStitches</td>
<td></td><td></td><td>show</td><td>hide</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainNOVentilationThumbsInterlining</td>
<td></td><td></td><td>hide</td><td>show</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainNOVentilationThumbsSides</td>
<td></td><td></td><td>hide</td><td>show</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainNOVentilationThumbsSleevesInner</td>
<td></td><td></td><td>hide</td><td>show</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainNOVentilationThumbsSleevesOuter</td>
<td></td><td></td><td>hide</td><td>show</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainNOVentilationThumbsStitches</td>
<td></td><td></td><td>hide</td><td>show</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainNOVentilationThumbsthumb_loop</td>
<td></td><td></td><td>hide</td><td>show</td><td>hide</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationNOThumbsBase</td>
<td></td><td></td><td>hide</td><td>hide</td><td>show</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationNOThumbsInterlining</td>
<td></td><td></td><td>hide</td><td>hide</td><td>show</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationNOThumbsSides</td>
<td></td><td></td><td>hide</td><td>hide</td><td>show</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationNOThumbsSleevesInner</td>
<td></td><td></td><td>hide</td><td>hide</td><td>show</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationNOThumbsSleevesOuter</td>
<td></td><td></td><td>hide</td><td>hide</td><td>show</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationNOThumbsStitches</td>
<td></td><td></td><td>hide</td><td>hide</td><td>show</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationNOThumbsZipper</td>
<td></td><td></td><td>hide</td><td>hide</td><td>show</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationNOThumbsZipperPuller</td>
<td></td><td></td><td>hide</td><td>hide</td><td>show</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationNOThumbsZipperSlider</td>
<td></td><td></td><td>hide</td><td>hide</td><td>show</td><td>hide</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationThumbsBase</td>
<td></td><td></td><td>hide</td><td>hide</td><td>hide</td><td>show</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationThumbsInterlining</td>
<td></td><td></td><td>hide</td><td>hide</td><td>hide</td><td>show</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationThumbsSides</td>
<td></td><td></td><td>hide</td><td>hide</td><td>hide</td><td>show</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationThumbsSleevesInner</td>
<td></td><td></td><td>hide</td><td>hide</td><td>hide</td><td>show</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationThumbsSleevesOuter</td>
<td></td><td></td><td>hide</td><td>hide</td><td>hide</td><td>show</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationThumbsStitches</td>
<td></td><td></td><td>hide</td><td>hide</td><td>hide</td><td>show</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationThumbsthumb_loop</td>
<td></td><td></td><td>hide</td><td>hide</td><td>hide</td><td>show</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationThumbsZipper</td>
<td></td><td></td><td>hide</td><td>hide</td><td>hide</td><td>show</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationThumbsZipperPuller</td>
<td></td><td></td><td>hide</td><td>hide</td><td>hide</td><td>show</td><td></td><td></td></tr>
<tr><td>JacketMainVentilationThumbsZipperSlider</td>
<td></td><td></td><td>hide</td><td>hide</td><td>hide</td><td>show</td><td></td><td></td></tr>
<tr><td>JacketTopCollarBase</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>hide</td><td>show</td></tr>
<tr><td>JacketTopCollarInterlining</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>hide</td><td>show</td></tr>
<tr><td>JacketTopCollarMainMat</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>hide</td><td>show</td></tr>
<tr><td>JacketTopCollarStitches_Lining</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>hide</td><td>show</td></tr>
<tr><td>JacketTopCollarStitches_MainMat</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>hide</td><td>show</td></tr>
<tr><td>JacketTopCollarTags</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>hide</td><td>show</td></tr>
<tr><td>JacketTopCollarZipper</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>hide</td><td>show</td></tr>
<tr><td>JacketTopCollarZipperPuller</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>hide</td><td>show</td></tr>
<tr><td>JacketTopCollarZipperSlider</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>hide</td><td>show</td></tr>
<tr><td>JacketTopHoodBase</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>show</td><td>hide</td></tr>
<tr><td>JacketTopHoodHoodCords</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>show</td><td>hide</td></tr>
<tr><td>JacketTopHoodInterlining</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>show</td><td>hide</td></tr>
<tr><td>JacketTopHoodMainMat</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>show</td><td>hide</td></tr>
<tr><td>JacketTopHoodStitches_Lining</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>show</td><td>hide</td></tr>
<tr><td>JacketTopHoodStitches_MainMat</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>show</td><td>hide</td></tr>
<tr><td>JacketTopHoodTags</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>show</td><td>hide</td></tr>
<tr><td>JacketTopHoodZipper</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>show</td><td>hide</td></tr>
<tr><td>JacketTopHoodZipperPuller</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>show</td><td>hide</td></tr>
<tr><td>JacketTopHoodZipperSlider</td>
<td></td><td></td><td></td><td></td><td></td><td></td><td>show</td><td>hide</td></tr>
</tbody>
</table>
<style>
td.show {
    font-weight: bold;
    color: green;
}
td.hhide {
    color: red;
}
</style>
<br>
<br>
<br>
</div>

<script>
onload = function() {

}
</script>
<?php
include "../common/footer.php";
?>
<script>
$('td:contains("show")').addClass("show");
$('td:contains("hide")').addClass("hhide");
</script>
