M = {
    ui: {},
    
    init: function() {
        M.ui.fullscreen.init();
        M.ui.menu.init();
        M.ui.HD.init();
        M.ui.brand.init();
    },
    
    setBrand: function(text) {
        M.ui.brand.set(text);
    },
    
    getHD: function() {
        return M.ui.HD.get();
    }
};

M.events = {
    onMenu: function() {
        K.controller.onMenu();
    }
}

M.ui.brand = {
    id: "#brand",
    
    init: function() {
        
    },
    
    set: function(text) {
        $(M.ui.brand.id).html(text);
    }
}

M.ui.fullscreen = {
    init: function() {
        $("#fullscreen").click(function() {
            K.controller.onFullScreen();
        });
    },
};

M.ui.menu = {
    init: function() {
        $("#menu").click(function(){
            M.events.onMenu();
        });
    },
};

M.ui.HD = {
    id: "#HD",
    init: function() {
        if (W.HD)
            $(this.id).addClass("active");
        else
            $(this.id).removeClass("active");
        
        $(this.id).click(function(){
            M.ui.HD.set(!W.HD);
        });
    },
    
    set: function(state) {
        W.HD = state;
        K.controller.onHD(state);
        if (W.HD)
            $(this.id).addClass("active");
        else
            $(this.id).removeClass("active");
    },
    
    get: function() {
        return status;
    }
}