<?php
$SELECTED = "5";
include "header.php";
?>
<div class="container">
<h2>Overview</h2>
<p>
This page describes textures and their naming convention. Every layer in composited image is named as: <strong>LayerName_TextureName</strong>. Every texture has name and is represented as color. Every layer has at least one texture.

<div>
        <h3>Texture names</h3>
        <ul>
        <li>Barberry</li>
        <li>Beet</li>
        <li>Black</li>
        <li>DarkTeal</li>
        <li>Jay</li>
        <li>Magma</li>
        <li>Marine</li>
        <li>Ultramarine</li>
        <li>Whisper</li>
        </ul>
</div>
<div>
<br>
<h3 id="all">All textures per layer</h3>
<table class="table">
<thead>
<th>layer</th><th>shader</th>
</thead>
<tbody>
<?php
$files = [
    'Back_Barberry.png',
    'Back_Beet.png',
    'Back_Black.png',
    'Back_DarkTeal.png',
    'Back_Jay.png',
    'Back_Magma.png',
    'Back_Marine.png',
    'BackTop_Barberry.png',
    'BackTop_Beet.png',
    'BackTop_Black.png',
    'BackTop_DarkTeal.png',
    'BackTop_Jay.png',
    'BackTop_Magma.png',
    'BackTop_Marine.png',
    'BackTop_Ultramarine.png',
    'BackTop_Whisper.png',
    'Back_Ultramarine.png',
    'Back_Whisper.png',
    'ChestLeft_Barberry.png',
    'ChestLeft_Beet.png',
    'ChestLeft_Black.png',
    'ChestLeft_DarkTeal.png',
    'ChestLeft_Jay.png',
    'ChestLeft_Magma.png',
    'ChestLeft_Marine.png',
    'ChestLeft_Ultramarine.png',
    'ChestLeft_Whisper.png',
    'ChestRight_Barberry.png',
    'ChestRight_Beet.png',
    'ChestRight_Black.png',
    'ChestRight_DarkTeal.png',
    'ChestRight_Jay.png',
    'ChestRight_Magma.png',
    'ChestRight_Marine.png',
    'ChestRightPocket_Barberry.png',
    'ChestRightPocket_Beet.png',
    'ChestRightPocket_Black.png',
    'ChestRightPocket_DarkTeal.png',
    'ChestRightPocket_Jay.png',
    'ChestRightPocket_Magma.png',
    'ChestRightPocket_Marine.png',
    'ChestRightPocket_Ultramarine.png',
    'ChestRightPocket_Whisper.png',
    'ChestRightPocketZipper_Beet.png',
    'ChestRightPocketZipper_Black.png',
    'ChestRightPocketZipper_DarkTeal.png',
    'ChestRightPocketZipper_Magma.png',
    'ChestRightPocketZipper_Marine.png',
    'ChestRightPocketZipper_Ultramarine.png',
    'ChestRight_Ultramarine.png',
    'ChestRight_Whisper.png',
    'FrontBottom_Barberry.png',
    'FrontBottom_Beet.png',
    'FrontBottom_Black.png',
    'FrontBottom_DarkTeal.png',
    'FrontBottom_Jay.png',
    'FrontBottom_Magma.png',
    'FrontBottom_Marine.png',
    'FrontBottom_Ultramarine.png',
    'FrontBottom_Whisper.png',
    'FrontBottomZipper_Beet.png',
    'FrontBottomZipper_Black.png',
    'FrontBottomZipper_DarkTeal.png',
    'FrontBottomZipper_Magma.png',
    'FrontBottomZipper_Marine.png',
    'FrontBottomZipper_Ultramarine.png',
    'MainInner_Barberry.png',
    'MainInner_Beet.png',
    'MainInner_Black.png',
    'MainInner_DarkTeal.png',
    'MainInner_Jay.png',
    'MainInner_Magma.png',
    'MainInner_Marine.png',
    'MainInner_Ultramarine.png',
    'MainInner_Whisper.png',
    'MainOuter_Barberry.png',
    'MainOuter_Beet.png',
    'MainOuter_Black.png',
    'MainOuter_DarkTeal.png',
    'MainOuter_Jay.png',
    'MainOuter_Magma.png',
    'MainOuter_Marine.png',
    'MainOuter_Ultramarine.png',
    'MainOuter_Whisper.png',
    'MainThumbsInner_Barberry.png',
    'MainThumbsInner_Beet.png',
    'MainThumbsInner_Black.png',
    'MainThumbsInner_DarkTeal.png',
    'MainThumbsInner_Jay.png',
    'MainThumbsInner_Magma.png',
    'MainThumbsInner_Marine.png',
    'MainThumbsInner_Ultramarine.png',
    'MainThumbsInner_Whisper.png',
    'MainThumbsOuter_Barberry.png',
    'MainThumbsOuter_Beet.png',
    'MainThumbsOuter_Black.png',
    'MainThumbsOuter_DarkTeal.png',
    'MainThumbsOuter_Jay.png',
    'MainThumbsOuter_Magma.png',
    'MainThumbsOuter_Marine.png',
    'MainThumbsOuter_Ultramarine.png',
    'MainThumbsOuter_Whisper.png',
    'MainVentilationInner_Barberry.png',
    'MainVentilationInner_Beet.png',
    'MainVentilationInner_Black.png',
    'MainVentilationInner_DarkTeal.png',
    'MainVentilationInner_Jay.png',
    'MainVentilationInner_Magma.png',
    'MainVentilationInner_Marine.png',
    'MainVentilationInner_Ultramarine.png',
    'MainVentilationInner_Whisper.png',
    'MainVentilationOuter_Barberry.png',
    'MainVentilationOuter_Beet.png',
    'MainVentilationOuter_Black.png',
    'MainVentilationOuter_DarkTeal.png',
    'MainVentilationOuter_Jay.png',
    'MainVentilationOuter_Magma.png',
    'MainVentilationOuter_Marine.png',
    'MainVentilationOuter_Ultramarine.png',
    'MainVentilationOuter_Whisper.png',
    'MainVentilationThumbsInner_Barberry.png',
    'MainVentilationThumbsInner_Beet.png',
    'MainVentilationThumbsInner_Black.png',
    'MainVentilationThumbsInner_DarkTeal.png',
    'MainVentilationThumbsInner_Jay.png',
    'MainVentilationThumbsInner_Magma.png',
    'MainVentilationThumbsInner_Marine.png',
    'MainVentilationThumbsInner_Ultramarine.png',
    'MainVentilationThumbsInner_Whisper.png',
    'MainVentilationThumbsOuter_Barberry.png',
    'MainVentilationThumbsOuter_Beet.png',
    'MainVentilationThumbsOuter_Black.png',
    'MainVentilationThumbsOuter_DarkTeal.png',
    'MainVentilationThumbsOuter_Jay.png',
    'MainVentilationThumbsOuter_Magma.png',
    'MainVentilationThumbsOuter_Marine.png',
    'MainVentilationThumbsOuter_Ultramarine.png',
    'MainVentilationThumbsOuter_Whisper.png',
    'MainVentilationThumbsZipper_Beet.png',
    'MainVentilationThumbsZipper_Black.png',
    'MainVentilationThumbsZipper_DarkTeal.png',
    'MainVentilationThumbsZipper_Magma.png',
    'MainVentilationThumbsZipper_Marine.png',
    'MainVentilationThumbsZipper_Ultramarine.png',
    'MainVentilationZipper_Beet.png',
    'MainVentilationZipper_Black.png',
    'MainVentilationZipper_DarkTeal.png',
    'MainVentilationZipper_Magma.png',
    'MainVentilationZipper_Marine.png',
    'MainVentilationZipper_Ultramarine.png',
    'Collar_Barberry.png',
    'Collar_Beet.png',
    'Collar_Black.png',
    'Collar_DarkTeal.png',
    'Collar_Jay.png',
    'Collar_Magma.png',
    'Collar_Marine.png',
    'Collar_Ultramarine.png',
    'Collar_Whisper.png',
    'CollarZipper_Beet.png',
    'CollarZipper_Black.png',
    'CollarZipper_DarkTeal.png',
    'CollarZipper_Magma.png',
    'CollarZipper_Marine.png',
    'CollarZipper_Ultramarine.png',
    'Hood_Barberry.png',
    'Hood_Beet.png',
    'Hood_Black.png',
    'HoodCords_Black.png',
    'HoodCords_DarkTeal.png',
    'HoodCords_Magma.png',
    'HoodCords_Marine.png',
    'HoodCords_Ultramarine.png',
    'Hood_DarkTeal.png',
    'Hood_Jay.png',
    'Hood_Magma.png',
    'Hood_Marine.png',
    'Hood_Ultramarine.png',
    'Hood_Whisper.png',
    'HoodZipper_Beet.png',
    'HoodZipper_Black.png',
    'HoodZipper_DarkTeal.png',
    'HoodZipper_Magma.png',
    'HoodZipper_Marine.png',
    'HoodZipper_Ultramarine.png',
];

$layers = [];
foreach ($files as $file) {
    $items = explode("_", substr($file, 0, -4));
    if (sizeof($items) < 2) {
        continue;
    }
    if (sizeof($items) > 3) {
        continue;
    }
    if (sizeof($items) == 2) {
        $name = $items[0];
        $texture = $items[1];
    }
    if (sizeof($items) == 3) {
        $name = $items[0]."_".$items[1];
        $texture = $items[2];
    }
    if (! array_key_exists($name, $layers)) {
        $layers[$name] = [];
    }

    array_push($layers[$name], $texture);
}

foreach ($layers as $layer => $texture_list) {
    $textures = "";
    foreach ($texture_list as $texture) {
        $textures .= $texture." ";
    }
?>
<tr><td><?= $layer ?></td><td><?= $textures ?></td></tr>
<?php
}
?>
</tbody>
</table>
</div>
 </div>




<script>
onload = function() {

}
</script>
<?php
include "footer.php";
?>

